Chromium Code Reviews
Help | Chromium Project | Sign in
(122)

Issue 2701463003: Create a Tether section in the system tray network list. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by Ryan Hansberry
Modified:
1 month ago
Reviewers:
stevenjb
CC:
chromium-reviews, kalyank, stevenjb+watch_chromium.org, sadrul, oshima+watch_chromium.org, Kyle Horimoto
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Create a Tether section in the system tray network list. BUG=672263 Review-Url: https://codereview.chromium.org/2701463003 Cr-Commit-Position: refs/heads/master@{#452207} Committed: https://chromium.googlesource.com/chromium/src/+/848bfb2e47389f603973eec48da1703596eabbc8

Patch Set 1 #

Patch Set 2 : Create a Tether section in the system tray network list. #

Total comments: 14

Patch Set 3 : Use NetworkStateHandler::GetTechnologyState and explicitly fetch the Tether networks in NetworkList… #

Total comments: 5

Patch Set 4 : Remove hack. #

Total comments: 6

Patch Set 5 : Remove hack. #

Patch Set 6 : Tweak for path to guid change. #

Patch Set 7 : Change CreateTetherNetworkState to Add*, simplify Tether GetTechnologyState #

Patch Set 8 : Add a GetTetherNetworkList method and test. #

Total comments: 6

Patch Set 9 : Comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+164 lines, -20 lines) Patch
M ash/ash_chromeos_strings.grdp View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -0 lines 0 comments Download
M ash/common/system/chromeos/network/network_info.h View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M ash/common/system/chromeos/network/network_list_md.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M ash/common/system/chromeos/network/network_list_md.cc View 1 2 3 4 5 6 7 8 6 chunks +54 lines, -1 line 0 comments Download
M chromeos/network/network_state_handler.h View 1 2 3 4 5 6 7 3 chunks +17 lines, -6 lines 0 comments Download
M chromeos/network/network_state_handler.cc View 1 2 3 4 5 6 7 8 7 chunks +39 lines, -5 lines 0 comments Download
M chromeos/network/network_state_handler_unittest.cc View 1 2 3 4 5 6 7 5 chunks +48 lines, -7 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (8 generated)
Ryan Hansberry
https://codereview.chromium.org/2701463003/diff/20001/chromeos/network/network_state_handler.cc File chromeos/network/network_state_handler.cc (right): https://codereview.chromium.org/2701463003/diff/20001/chromeos/network/network_state_handler.cc#newcode203 chromeos/network/network_state_handler.cc:203: // This is a hack that I don't intend ...
1 month, 1 week ago (2017-02-15 19:57:39 UTC) #2
stevenjb
https://codereview.chromium.org/2701463003/diff/20001/ash/common/system/chromeos/network/network_list_md.cc File ash/common/system/chromeos/network/network_list_md.cc (right): https://codereview.chromium.org/2701463003/diff/20001/ash/common/system/chromeos/network/network_list_md.cc#newcode492 ash/common/system/chromeos/network/network_list_md.cc:492: bool isTetherEnabled = true; You will definitely want to ...
1 month, 1 week ago (2017-02-15 20:59:04 UTC) #4
Ryan Hansberry
https://codereview.chromium.org/2701463003/diff/20001/ash/common/system/chromeos/network/network_list_md.cc File ash/common/system/chromeos/network/network_list_md.cc (right): https://codereview.chromium.org/2701463003/diff/20001/ash/common/system/chromeos/network/network_list_md.cc#newcode492 ash/common/system/chromeos/network/network_list_md.cc:492: bool isTetherEnabled = true; On 2017/02/15 20:59:04, stevenjb wrote: ...
1 month ago (2017-02-16 22:42:20 UTC) #5
stevenjb
https://codereview.chromium.org/2701463003/diff/20001/ash/common/system/chromeos/network/network_list_md.cc File ash/common/system/chromeos/network/network_list_md.cc (right): https://codereview.chromium.org/2701463003/diff/20001/ash/common/system/chromeos/network/network_list_md.cc#newcode492 ash/common/system/chromeos/network/network_list_md.cc:492: bool isTetherEnabled = true; On 2017/02/16 22:42:20, Ryan Hansberry ...
1 month ago (2017-02-16 22:56:35 UTC) #6
Ryan Hansberry
https://codereview.chromium.org/2701463003/diff/40001/chromeos/network/network_state_handler.cc File chromeos/network/network_state_handler.cc (right): https://codereview.chromium.org/2701463003/diff/40001/chromeos/network/network_state_handler.cc#newcode310 chromeos/network/network_state_handler.cc:310: if (NetworkTypePattern::Tether().MatchesPattern(type)) { On 2017/02/16 22:42:20, Ryan Hansberry wrote: ...
1 month ago (2017-02-17 19:29:42 UTC) #8
stevenjb
https://codereview.chromium.org/2701463003/diff/40001/chromeos/network/network_state_handler.cc File chromeos/network/network_state_handler.cc (right): https://codereview.chromium.org/2701463003/diff/40001/chromeos/network/network_state_handler.cc#newcode310 chromeos/network/network_state_handler.cc:310: if (NetworkTypePattern::Tether().MatchesPattern(type)) { On 2017/02/17 19:29:42, Ryan Hansberry wrote: ...
1 month ago (2017-02-17 20:11:10 UTC) #9
Ryan Hansberry
https://codereview.chromium.org/2701463003/diff/40001/chromeos/network/network_state_handler.cc File chromeos/network/network_state_handler.cc (right): https://codereview.chromium.org/2701463003/diff/40001/chromeos/network/network_state_handler.cc#newcode310 chromeos/network/network_state_handler.cc:310: if (NetworkTypePattern::Tether().MatchesPattern(type)) { On 2017/02/17 20:11:10, stevenjb wrote: > ...
1 month ago (2017-02-17 23:28:13 UTC) #10
stevenjb
https://codereview.chromium.org/2701463003/diff/140001/chromeos/network/network_state_handler.cc File chromeos/network/network_state_handler.cc (right): https://codereview.chromium.org/2701463003/diff/140001/chromeos/network/network_state_handler.cc#newcode143 chromeos/network/network_state_handler.cc:143: state = TECHNOLOGY_ENABLED; If we but {} around one ...
1 month ago (2017-02-21 22:43:56 UTC) #11
Ryan Hansberry
https://codereview.chromium.org/2701463003/diff/140001/chromeos/network/network_state_handler.cc File chromeos/network/network_state_handler.cc (right): https://codereview.chromium.org/2701463003/diff/140001/chromeos/network/network_state_handler.cc#newcode143 chromeos/network/network_state_handler.cc:143: state = TECHNOLOGY_ENABLED; On 2017/02/21 22:43:56, stevenjb wrote: > ...
1 month ago (2017-02-21 23:26:37 UTC) #12
stevenjb
lgtm
1 month ago (2017-02-21 23:29:16 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2701463003/160001
1 month ago (2017-02-22 00:37:21 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) chromeos_amd64-generic_chromium_compile_only_ng on ...
1 month ago (2017-02-22 02:41:03 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2701463003/160001
1 month ago (2017-02-22 17:47:07 UTC) #19
commit-bot: I haz the power
1 month ago (2017-02-22 21:26:08 UTC) #22
Message was sent while issue was closed.
Committed patchset #9 (id:160001) as
https://chromium.googlesource.com/chromium/src/+/848bfb2e47389f603973eec48da1...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62